%global commit 85404dcb03bda6badc55cec998b3bdbe76b81138

Name:           neovim-nvchad
Version:        31.85404dc
Release:        1%{?dist}
Summary:        Neovim config written in Lua with beautiful UI and fast startup.

License:        GPL-3.0-or-later
URL:            https://github.com/NvChad/NvChad
Source0:        https://github.com/NvChad/starter/archive/%{commit}.tar.gz
Source1:        init.lua

BuildArch:      noarch
Requires:       neovim
Requires:       xclip
Requires:       ripgrep
Requires:       jetbrains-mono-fonts-all

%description
Neovim config written in Lua aiming to provide a base configuration with beautiful UI and blazing fast startup time.

%prep
%autosetup -n starter-%{commit}

%build
# Nothing to build

%install
install -dm 755 %{buildroot}/usr/share/nvchad
install -dm 755 %{buildroot}/usr/share/nvim/runtime/plugin/nvchad-starter

cp -a lua %{buildroot}/usr/share/nvchad/
install -Dm 644 init.lua %{buildroot}/usr/share/nvchad/init.lua
install -Dm 644 %{SOURCE1} %{buildroot}/usr/share/nvim/runtime/plugin/nvchad-starter/init.lua

%files
%license LICENSE
%doc README.md
/usr/share/nvchad
/usr/share/nvim/runtime/plugin/nvchad-starter

%changelog
* Mon Apr 28 2025 21:35 Little Owl <littleowl@athenaos.org>
- Synced with upstream
